/*
  Bear Engine

  Copyright (C) 2005-2008 Julien Jorge, Sebastien Angibaud

  This program is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License as published by the
  Free Software Foundation; either version 2 of the License, or (at your
  option) any later version.

  This program is distributed in the hope that it will be useful, but WITHOUT
  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
  more details.

  You should have received a copy of the GNU General Public License along
  with this program; if not, write to the Free Software Foundation, Inc.,
  51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

  contact: plee-the-bear@gamned.org

  Please add the tag [Bear] in the subject of your mails.
*/
/**
 * \file collision_event_kill_player.tpp
 * \brief Implementation of the engine::collision_event_kill_player class.
 * \author Julien Jorge
 */
#include "engine/collision_event/collision_event_kill_player.hpp"
#include "engine/player.hpp"

/*----------------------------------------------------------------------------*/
/**
 * \brief Kill the player.
 * \param info Informations on the collision.
 * \param self The strongest item in the collision.
 * \param that The other item.
 */
void bear::engine::collision_event_kill_player::execute
( const universe::collision_info& info, universe::physical_item& self,
  universe::physical_item& that ) const
{
  player* p = dynamic_cast<player*>(&that);

  if ( p )
    p->do_action( player::action_die );
} // collision_event_kill_player::execute()
