/*
  Plee The Bear - Model compiler

  Copyright (C) 2005-2008 Julien Jorge, Sébastien Angibaud

  This program is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License as published by the
  Free Software Foundation; either version 2 of the License, or (at your
  option) any later version.

  This program is distributed in the hope that it will be useful, but WITHOUT
  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
  more details.

  You should have received a copy of the GNU General Public License along
  with this program; if not, write to the Free Software Foundation, Inc.,
  51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

  contact: plee-the-bear@gamned.org

  Please add the tag [PTB] in the subject of your mails.
*/
/**
 * \file resource.hpp
 * \brief Any resource in the model (image or sound).
 * \author Julien Jorge
 */
#ifndef __MC_RESOURCE_HPP__
#define __MC_RESOURCE_HPP__

#include <string>

#include "mc/compiled_file.hpp"

namespace mc
{
  /**
   * \brief Any resource in the model (image or sound).
   * \author Julien Jorge
   */
  class resource
  {
  public:
    resource();
    resource( const std::string& name, const std::string& file );

    const std::string& get_file() const;

  protected:
    /** \brief The name of the resource. */
    std::string m_name;

    /** \brief The resource file. */
    std::string m_filename;

  }; // class resource
} // namespace mc

#endif // __MC_RESOURCE_HPP__
