/*
  Plee The Bear

  Copyright (C) 2005-2008 Julien Jorge, Sebastien Angibaud

  This program is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License as published by the
  Free Software Foundation; either version 2 of the License, or (at your
  option) any later version.

  This program is distributed in the hope that it will be useful, but WITHOUT
  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
  more details.

  You should have received a copy of the GNU General Public License along
  with this program; if not, write to the Free Software Foundation, Inc.,
  51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

  contact: plee-the-bear@gamned.org

  Please add the tag [PTB] in the subject of your mails.
*/
/**
 * \file menu.hpp
 * \brief A menu with parameters specific to this game.
 * \author Julien Jorge
 */
#ifndef __PTB_MENU_HPP__
#define __PTB_MENU_HPP__

#include "gui/menu.hpp"

namespace ptb
{
  /**
   * \brief A menu with parameters specific to this game.
   * \author Julien Jorge
   */
  class menu : public bear::gui::menu
  {
  public:
    menu( bear::gui::visual_component* owner,
          unsigned int horizontal_margins = 0,
          unsigned int vertical_margins = 0, unsigned int line_space = 0);

    void make( char* strings[] );

  }; // class menu
} // namespace ptb

#endif // __PTB_MENU_HPP__
